Page MenuHomePhabricator

Onboarding for new contributors to Commons Android app
Closed, ResolvedPublic

Description

We would like to hold an onboarding session for new contributors to the Commons app, if there is interest.

Some considerations:

  1. Would it be useful for us to work "from scratch", i.e. assist newcomers with setting up Android Studio, the Android SDK and Git, etc? If we do, this in itself will likely take an entire 60 minutes
  2. Or should we assume that everyone there at least has Android Studio and Git set up, and focus mostly on taking them through the structure and workflow of our app specifically?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 28 2019, 3:58 PM
Dbrant added a subscriber: Dbrant.Feb 28 2019, 8:08 PM

@josephine_l: Did this session take place? If it did, please feel free to create any potential follow-up tasks and set the status of this task to "Resolved" via the Add Action...Change Status dropdown. Thanks a lot!

Michael removed a subscriber: Michael.May 24 2019, 11:53 AM
Aklapper closed this task as Resolved.Jun 7 2019, 12:21 PM

@josephine_l: Did this session take place? If it did, please feel free to create any potential follow-up tasks and set the status of this task to "Resolved" via the Add Action...Change Status dropdown. Thanks a lot!

Assuming this took place, hence resolving this task.